#site-header {
    z-index: 100;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-flow: column;
    flex-flow: column;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: #ffffff;
    -webkit-box-shadow: 0 3px 3px rgba(0,0,0,0.1);
    box-shadow: 0 3px 3px rgba(0,0,0,0.1);
    -webkit-transition: all 0.3s ease-out;
    -o-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}

body.nav-up #site-header {
    -webkit-transform: translateY(calc(-100% - 6px));
    -ms-transform: translateY(calc(-100% - 6px));
    transform: translateY(calc(-100% - 6px)); /* 100% - box shadow */
}

body.admin-bar #site-header { /* Admin preview */
    position: absolute;
    top: 32px;
}

.site-header-inner {
    width: 100%;
    padding: 15px;
    margin: 0 auto;
}


/* ============================================================= */
/* Navigation Main
/* ============================================================= */

#navigation-main {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    gap: 20px;
    color: var(--wp--preset--color--content, #333333);
}

/* Logo
/* ------------------------------------------------------------- */

#header-logo-wrapper {
    width: auto;
    height: 60px;
}

#header-logo-wrapper a {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: auto;
    height: 100%;
}

#header-logo-wrapper img {
    height: 100%;
    width: auto;
}

/* Navigation Icons
/* ------------------------------------------------------------- */

#navigation-icons {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 20px;
}

/* Search Icon */

#navigation-icons .search-button {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    height: 100%;
    color: inherit;
}

#navigation-icons .search-button svg {
    width: 21px;
    height: 21px;
}

#navigation-icons .search-button span {
    display: none;
}

/* Burger Icon */

#navigation-icons .nav-burger {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-flow: column nowrap;
    flex-flow: column nowrap;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 6px;
    cursor: pointer;
}

#navigation-icons .nav-burger .bar {
    width: 40px;
    height: 3px;
    background-color: currentColor;
    border-radius: 5px;
    margin: 0;
}

/* Navigation Menu
/* ------------------------------------------------------------- */

#site-header .navigation-wrapper {
    display: none;
}


/* ============================================================= */
/* Site Header Margin
/* ============================================================= */

#site-header-margin {
    height: 64px;
    visibility: hidden;
    opacity: 0;
}


/* ============================================================= */
/* Menu Modal
/* ============================================================= */

#menu-modal {
    z-index: 100;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--wp--preset--color--primary);
    color: #ffffff;
    opacity: 0;
    visibility: hidden;
    -webkit-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0);
    overflow-y: auto;
    scrollbar-width: none;  /* Hide scrollbar for Firefox */
}

.menu-modal-inner {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-flow: column nowrap;
    flex-flow: column nowrap;
    height: 100%;
    padding: 0;
    margin: 0;
}

/* Menu Modal Burger
/* ------------------------------------------------------------- */

#menu-modal-burger-wrapper {
    z-index: 10;
    display: block;
    position: absolute;
    top: 20px;
    right: 15px;
}

#menu-modal-burger-wrapper .nav-burger {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-flow: column nowrap;
    flex-flow: column nowrap;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 6px;
    cursor: pointer;
}

#menu-modal-burger-wrapper .nav-burger .bar {
    width: 30px;
    height: 3px;
    background-color: currentColor;
    border-radius: 5px;
    margin: 0;
    -webkit-transform-origin: center;
    -ms-transform-origin: center;
    transform-origin: center;
}

#menu-modal-burger-wrapper .nav-burger .bar:nth-child(1) {
    -webkit-transform: translateY(9px) rotate(45deg);
    -ms-transform: translateY(9px) rotate(45deg);
    transform: translateY(9px) rotate(45deg);
}

#menu-modal-burger-wrapper .nav-burger .bar:nth-child(2) {
    opacity: 0;
}

#menu-modal-burger-wrapper .nav-burger .bar:nth-child(3) {
    -webkit-transform: translateY(-9px) rotate(-45deg);
    -ms-transform: translateY(-9px) rotate(-45deg);
    transform: translateY(-9px) rotate(-45deg);
}

/* Menu Modal Navigation
/* ------------------------------------------------------------- */

#menu-modal-navigation-wrapper {
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    position: relative;
    width: 100%;
    padding: 0;
    margin: 0;
}

#menu-modal ul {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-flow: column nowrap;
    flex-flow: column nowrap;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: flex-start;
    gap: 20px;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    list-style: none;
    padding: 80px 20px 50px;
    margin: 0;
    opacity: 0;
    visibility: hidden;
    overflow-y: auto;
}

#menu-modal ul li {
    font-size: 26px;
    line-height: 1;
    text-align: center;
    padding: 0 10px;
    margin: 0 20px;
}

#menu-modal ul a {
    display: inline-block;
    position: relative;
    border-bottom: 2px solid transparent;
    color: #ffffff;
    font-family: "Spezia Serif", "Brown LL", Roboto, Arial, sans-serif;
    font-size: 1em;
    line-height: 1;
    text-transform: uppercase;
    text-decoration: none;
    padding-bottom: 2px;
}

#menu-modal ul a > svg {
    position: absolute;
    top: 0;
    left: calc(100% + 0.1em);
    height: 100%;
}

#menu-modal ul li.nav-back-button a > svg {
    left: initial;
    right: calc(100% + 0.1em);
}

#menu-modal ul li:not(.menu-item-has-children) > a > svg.arrow-right {
    display: none;
}

#menu-modal ul.menu li.current-menu-item > a,
#menu-modal ul.menu li.current-menu-ancestor > a {
    border-bottom-color: currentColor;
}


/* ============================================================= */
/* Search Modal
/* ============================================================= */

#search-modal {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    z-index: 200;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 64px;
    background-color: #ffffff;
    -webkit-box-shadow: 0 3px 3px rgba(0,0,0,0.1);
    box-shadow: 0 3px 3px rgba(0,0,0,0.1);
    -webkit-transform: translateY(calc(-100% - 6px));
    -ms-transform: translateY(calc(-100% - 6px));
    transform: translateY(calc(-100% - 6px)); /* 100% - box shadow */
    -webkit-transition: all 0.3s ease-out;
    -o-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}

#search-modal.search-active {
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
}

.search-modal-inner > .row {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

#search-modal .search-field {
    -webkit-box-shadow: none;
    box-shadow: none;
    background: none;
    border: none;
    border-radius: 0;
    outline: 0;
    color: inherit;
    font-size: 20px;
    height: 100%;
    width: 100%;
}

#search-modal .search-field::-ms-clear {
    display: none;
}

#search-modal .search-submit {
    position: absolute;
    right: -999990px;
}

#search-modal .search-close-icon {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
    cursor: pointer;
}

#search-modal .search-close-icon .bar {
    width: 30px;
    height: 3px;
    background-color: currentColor;
    -webkit-transform: translateY(calc(3px / 2 )) rotate(-45deg);
    -ms-transform: translateY(calc(3px / 2 )) rotate(-45deg);
    transform: translateY(calc(3px / 2 )) rotate(-45deg);
    -webkit-transform-origin: center;
    -ms-transform-origin: center;
    transform-origin: center;
}

#search-modal .search-close-icon .bar:not(:first-child) {
    -webkit-transform: translateY(calc(-3px / 2)) rotate(45deg);
    -ms-transform: translateY(calc(-3px / 2)) rotate(45deg);
    transform: translateY(calc(-3px / 2)) rotate(45deg);
}

/* Only for WP admin preview */
@media screen and (max-width: 782px) {

    body.admin-bar #site-header { /* Admin preview */
        top: 46px;
    }

}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {

    /* ============================================================= */
    /* Navigation Main
    /* ============================================================= */

    #navigation-main{
        padding: 20px 40px;
    }


    /* ============================================================= */
    /* Site Header Margin
    /* ============================================================= */

    #site-header-margin {
        height: 74px;
    }


    /* ============================================================= */
    /* Menu Modal
    /* ============================================================= */

    /* Menu Modal Burger
    /* ------------------------------------------------------------- */

    #menu-modal-burger-wrapper {
        top: 40px;
        right: 40px;
    }

    #menu-modal-burger-wrapper .nav-burger .bar {
        width: 40px;
    }

    /* Menu Modal Navigation
    /* ------------------------------------------------------------- */

    #menu-modal ul {
        padding-right: 60px;
        padding-left: 60px;
    }

    #menu-modal ul li {
        font-size: 30px;
    }


    /* ============================================================= */
    /* Search Modal
    /* ============================================================= */

    #search-modal {
        height: 74px;
    }

}

/* Medium devices (tablets, 768px and up, orientation portrait) */
@media (orientation: portrait) and (min-width: 768px) {

    /* ============================================================= */
    /* Navigation Main
    /* ============================================================= */

    /* Logo
    /* ------------------------------------------------------------- */

    #header-logo-wrapper {
        height: 80px;
    }

    /* ============================================================= */
    /* Menu Modal
    /* ============================================================= */

    /* Menu Modal Navigation
    /* ------------------------------------------------------------- */

    #menu-modal ul {
        padding-top: 200px;
    }

}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {

    /* ============================================================= */
    /* Navigation Main
    /* ============================================================= */

    #navigation-main {
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        gap: 30px;
    }

    /* Logo
    /* ------------------------------------------------------------- */

    #header-logo-wrapper {
        height: 100px;
    }

    /* Navigation Icons
    /* ------------------------------------------------------------- */

    #navigation-icons {
        display: none;
    }

    /* Navigation Menu
    /* ------------------------------------------------------------- */

    #site-header .navigation-wrapper {
        width: auto;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
    }

    #site-header #navigation-primary-wrapper {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        width: 100%;
    }

    #site-header #navigation-primary-wrapper > nav {
        width: 100%;
        height: 100%;
    }

    #site-header ul.menu {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: horizontal;
        -webkit-box-direction: normal;
        -ms-flex-flow: row wrap;
        flex-flow: row wrap;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        gap: 50px;
        height: 100%;
        list-style: none;
        padding: 0;
        margin: 0;
    }

    #site-header ul.menu li {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        position: relative;
        height: 100%;
    }

    #site-header ul.menu a {
        color: inherit;
        font-size: 1.1em;
        line-height: 1;
        text-transform: uppercase;
        text-decoration: none;
        -webkit-transition: all 0.15s linear;
        -o-transition: all 0.15s linear;
        transition: all 0.15s linear;
    }

    #site-header ul.menu li.current-menu-ancestor > a,
    #site-header ul.menu li.current-menu-item > a,
    #site-header ul.menu li:hover > a,
    #site-header ul.menu a:hover,
    #site-header ul.menu a:active,
    #site-header ul.menu a:focus {
        color: var(--wp--preset--color--primary, #f44e1e);
    }

    /* Search Button */

    #site-header ul.menu li.menu-item-search-button a.search-button {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        gap: 0.3em;
    }

    /* Sub Menu */

    #site-header ul.sub-menu {
        z-index: 10;
        position: absolute;
        top: calc(100% + 20px);
        right: -20px;
        width: auto;
        min-width: 260px;
        height: auto;
        -webkit-box-shadow: 0 3px 3px rgba(0,0,0,0.2);
        box-shadow: 0 3px 3px rgba(0,0,0,0.2);
        background-color: var(--wp--preset--color--bg-light, #eeeeee);
        opacity: 0;
        visibility: hidden;
        -webkit-transition: all 0.3s ease-out;
        -o-transition: all 0.3s ease-out;
        transition: all 0.3s ease-out;
        list-style: none;
        padding: 10px 0;
        margin: 0;
    }

    #site-header li:hover > ul.sub-menu {
        opacity: 1;
        visibility: visible;
    }

    #site-header ul.sub-menu:before {
        content: "";
        position: absolute;
        bottom: 100%;
        left: 0;
        display: block;
        width: 100%;
        height: 20px;
        opacity: 0;
    }

    #site-header ul.sub-menu:after {
        z-index: 1;
        content: "";
        display: block;
        position: absolute;
        right: 20px;
        bottom: 100%;
        border: 15px solid transparent;
        border-top-width: 0;
        border-right-width: 10px;
        border-left-width: 10px;
        border-bottom-color: var(--wp--preset--color--bg-light, #eeeeee);
    }

    #site-header ul.sub-menu a {
        display: block;
        padding: 10px 20px;
    }

    #site-header ul.sub-menu li.current-menu-ancestor > a,
    #site-header ul.sub-menu li.current-menu-item > a,
    #site-header ul.sub-menu li:hover > a,
    #site-header ul.sub-menu a:hover,
    #site-header ul.sub-menu a:active,
    #site-header ul.sub-menu a:focus {
        color: var(--wp--preset--color--primary, #f44e1e);
    }


    /* ============================================================= */
    /* Site Header Margin
    /* ============================================================= */

    #site-header-margin {
        height: 80px;
    }


    /* ============================================================= */
    /* Search Modal
    /* ============================================================= */

    #search-modal {
        height: 80px;
    }

}